Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002699 [DCSS] Bug Report major always 2010-10-09 23:20 2015-02-16 22:06
Reporter Dutchy View Status public  
Assigned To
Priority normal Resolution done  
Status closed   Product Branch 0.8 ancient branch
Summary 0002699: Impossible to alt-tab out of linux tiles version
Description The key combination Alt-Tab gets interpreted as an unknown game command. This is especially annoying because the game starts in full screen (i could not find a way to not make it start full screen).

OS: Ubuntu 10.10
Window Manager: XFCE

$ ./crawl -version
Crawl version 0.8.0-a0-1775-g177016a
Save file version 31.3
Compiled with GCC 4.4.3 on Oct 8 2010 at 23:27:15
Compiled on OS: Linux 2.6.32-25-generic
Compiled on machine type: x86_64
Compiled on processor type: unknown
CLFAGS: -O2 -ggdb -pipe -Wall -DUSE_TILE -DUSE_SDL -DUSE_GL -DUSE_FT -D_GNU_SOURCE=1 -D_REENTRANT -Wundef -Wno-array-bounds -Wno-parentheses -Wwrite-strings -Wshadow -D_FORTIFY_SOURCE=0 -Wuninitialized -Icontrib/install/include -Iutil -I. -Irltiles -I/usr/include/freetype2 -I/usr/include/SDL -I/usr/include/ncurses -DDEBUG -DWIZARD -DASSERTS -D_GNU_SOURCE=1 -D_REENTRANT -DCLUA_BINDINGS
LDFLAGS: -rdynamic -O2
Additional Information
Tags keys
Attached Files

- Relationships

-  Notes
(0008959)
evktalo (administrator)
2010-10-10 21:06

I've been frustrated with this as well, yet haven't thought of filing. Thank you! :)

You can make it not start full screen by editing tiles_options.txt, setting tile_full_screen to false and window width and height to smaller than your desktop resolution.

--Eino
(0008960)
Dutchy (reporter)
2010-10-10 21:12

Alright, thanks for the workaround at least. :)
(0022839)
mumra (developer)
2013-05-26 05:27

Can someone who runs tiles on Ubuntu confirm if this is still true in recent builds?
(0023799)
BlackSheep (reporter)
2013-08-21 01:38

Still true in 0.13 on Ubuntu 12.04
(0023892)
BlackSheep (reporter)
2013-08-28 17:57

I did a little research about this. It appears to be a problem with SDL. I've seen references to a patch that brings 1.2.14 to 1.2.15 and helps with this and other issues, but have no idea how complicated it would be to update the version of SDL used by crawl. For the time being, it sounds like alt-tab just won't work in full screen mode.
(0023894)
neil (administrator)
2013-08-28 18:18

It sounds like this behaviour is not going to change in SDL 1.2, but will be handled better in SDL 2: http://forums.libsdl.org/viewtopic.php?t=7873 [^]

Updating to SDL 2 is quite a bit more complicated, but it's something we'll need to do eventually (and would solve some other issues as well).
(0028425)
chris (updater)
2015-02-03 11:10

This still valid with SDL2?
(0028427)
Dutchy (reporter)
2015-02-03 16:11

I'm the original reporter; I currently don't have a machine to test this, although I'm pretty sure SDL2 solves the problem.
(0028508)
neil (administrator)
2015-02-16 22:06
edited on: 2015-02-16 22:12

It does appear to be fixed: with tile_full_screen = true, Crawl gets an undecorated on-top window of the same size as one screen, but no longer grabs all keys, so window manager and similar bindings work (alt-tab, volume keys, etc). Switching to another window minimises Crawl.

If you have multiple monitors, you can even move the mouse onto the other monitor... which is a little disconcerting given that clicking on something over there unfocuses and minimises Crawl.


- Issue History
Date Modified Username Field Change
2010-10-09 23:20 Dutchy New Issue
2010-10-10 21:06 evktalo Note Added: 0008959
2010-10-10 21:06 evktalo Status new => acknowledged
2010-10-10 21:12 Dutchy Note Added: 0008960
2013-05-26 05:26 mumra Tag Attached: keys
2013-05-26 05:27 mumra Note Added: 0022839
2013-08-20 19:45 BlackSheep Issue Monitored: BlackSheep
2013-08-21 01:38 BlackSheep Note Added: 0023799
2013-08-28 17:57 BlackSheep Note Added: 0023892
2013-08-28 18:00 BlackSheep Issue End Monitor: BlackSheep
2013-08-28 18:18 neil Note Added: 0023894
2015-02-03 11:10 chris Note Added: 0028425
2015-02-03 16:11 Dutchy Note Added: 0028427
2015-02-16 22:06 neil Note Added: 0028508
2015-02-16 22:06 neil Status acknowledged => closed
2015-02-16 22:06 neil Resolution open => done
2015-02-16 22:06 neil Fixed in Branch => 0.16 development branch
2015-02-16 22:12 neil Note Edited: 0028508


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker